uk.gov.hmrc.ct.accounts.frs102.boxes

# AC187

###
Related Docs: object AC187 | package boxes

#### case class AC187(value: Option[Boolean]) extends CtBoxIdentifier with CtOptionalBoolean with Input with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Input, CtOptionalBoolean, OptionalCtValue[Boolean], CtValue[Option[Boolean]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC187
2. Serializable
3. Serializable
4. Product
5. Equals
6. Input
7. CtOptionalBoolean
8. OptionalCtValue
9. CtValue
10. CtBoxIdentifier
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AC187(value: Option[Boolean])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoolean: Option[Boolean]

   Definition Classes
     CtOptionalBoolean

5. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

12. #### def id: String

    Definition Classes
      CtBoxIdentifier

13. #### def inverse: Option[Boolean]

    Definition Classes
      CtOptionalBoolean

14. #### def isFalse: Boolean

    Definition Classes
      CtOptionalBoolean

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isTrue: Boolean

    Definition Classes
      CtOptionalBoolean

17. #### val name: String

    Definition Classes
      CtBoxIdentifier

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def orFalse: Boolean

    Definition Classes
      CtOptionalBoolean

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### val value: Option[Boolean]

    Definition Classes
      AC187 → CtValue

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Input

### Inherited from CtOptionalBoolean

### Inherited from OptionalCtValue[Boolean]

### Inherited from CtValue[Option[Boolean]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped